Hulp gevraagd

Paul van der Vlis paul op vandervlis.nl
Do Jun 16 08:38:22 UTC 2011


Hallo,

Een van mijn werkzaamheden is het ondersteunen van hulpverleners die het
programma Psi op hun computers of laptops gebruiken.

Nu is er sinds kort ook een hulpverlener die met Ubuntu werkt. Ik wil
graag een goede instructie geven. Ik heb een instructie gemaakt maar heb
zelf geen Ubuntu om het te testen (ik werk met Debian). Zou iemand die
Psi niet ge´nstalleerd heeft, mijn instructie misschien willen testen
met Ubuntu?

Het lastige is dat we een oude versie van Psi gebruiken: 0.10.
In nieuwere versies van Psi werken sommige dingen namelijk niet helemaal
goed met onze server applicatie (de typing-notification).

Dit is de instructie:
-----------
# toevoegen repository van dapper
sudo add-apt-repository \
'deb http://nl.archive.ubuntu.com/ubuntu/ dapper main'

# update uitvoeren
sudo apt-get update

# installeren van psi uit dapper
sudo apt-get -t dapper install psi psi-translations

# vastzetten ('pinning') van de oude versie van Psi
sudo echo "
Package: psi
Pin: version 0.10*
Pin-Priority: 1001
Package: psi-translations
Pin: version 1.8*
Pin-Priority: 1001
" >> /etc/apt/preferences

# verwijder het dapper repository weer na installatie
sudo remove-apt-repository \
'deb http://nl.archive.ubuntu.com/ubuntu/ dapper main'
--------

Mijn grootste vraag is, of het nodig is om een oude key te gebruiken om
bij het repository te kunnen. Verder heb ik "remove-apt-repository" nog
nooit gebruikt, en weet ik niet of het default wel geinstalleerd is.

Graag even Psi starten om te kijken of het niet meteen crashed o.i.d.

( Uiteraard is het verstandig na het testen Psi weer te verwijderen en
de regels in /etc/apt/preferences te wissen. )

Groet,
Paul.


-- 
Linux systeembeheer Groningen
http://www.vandervlis.nl



Meer informatie over de Ubuntu-NL maillijst